# $Revision: 1.9 $, $Date: 2002/03/23 12:07:46 $
Summary:	hack of libgd library for gEDA project
Summary(pl):	Zmodyfikowana wersja libgd dla projektu gEDA
Name:		libgdgeda
Version:	1.8
Release:	2
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.geda.seul.org/pub/geda/devel/support/%{name}-%{version}.tar.gz
Patch0:		%{name}-am15.patch
URL:		http://www.geda.seul.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libpng-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libgdgeda is a hack on libgd, which is a graphics library. It allows
your code to quickly draw images complete with lines, arcs, text,
multiple colors, cut and paste from other images, and flood fills, and
write out the result as a .PNG file.

%description -l pl
libgdgeda jest zmodyfikowan bibliotek libgd pozwalajc na szybkie
rysowanie obrazkw z liniami, ukami, tekstem, wieloma kolorami oraz
kopiowanie i wklejanie z innych obrazkw, wypenianie wzorcami, a w
rezultacie zapisywanie ich do pliku .PNG.

%package devel
Summary:	Header files and develpment documentation for libgdgeda
Summary(pl):	Pliki nagwkowe i dokumetacja do libgdgeda
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files and develpment documentation for libgdgeda.

%description devel -l pl
Pliki nagwkowe i dokumetacja do libgdgeda.

%package static
Summary:	Static libgdgeda library
Summary(pl):	Biblioteka statyczna libgdgeda
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libgdgeda library.

%description static -l pl
Biblioteka statyczna libgdgeda.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing acinclude.m4
libtoolize --copy --force
aclocal
autoconf
automake -a -c -f
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

gzip -9nf README* COPY*

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*-config
%{_includedir}/gdgeda
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libgdgeda.spec,v $
Revision 1.9  2002/03/23 12:07:46  kloczek
- "rm -f missing" on top %build.

Revision 1.8  2002/03/23 12:01:59  kloczek
- release 2,
- added am15 patch and full regenerate ac/am/lt files (now package compiles
  correctly).

Revision 1.7  2002/02/23 03:26:01  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/02 20:21:56  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.4  2002/02/01 14:51:06  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.3  2002/01/18 02:13:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/03/07 21:00:14  misiek
add .la to devel

Revision 1.1  2001/03/07 20:10:51  misiek
new; stb


